package com.jkcredit.invoice.model.entity.invoice;

/**
 * 红冲发票实体类
 * @author mumuxigua
 */
public class HcInvoice {
    /**
     * 红冲发票id
     */
    private Long id;
    /**
     * 销方名称
     */
    private String sellerName;

    /**
     * 销方税号
     */
    private String sellerTaxpayerCode;
    /**
     * 购方名称
     */
    private String buyerName;

    /**
     * 购方税号
     */
    private String buyerTaxpayerCode;

    /**
     * 金额
     */
    private long amount;

    /**
     * 原票id
     */
    private String rawInvoiceId;

    /**
     * 原票发票代码
     */
    private String rawInvoiceCode;

    /**
     * 原票发票号码
     */
    private String rawInvoiceNum;

    /**
     * 红票代码
     */
    private String invoiceCode;

    /**
     * 红票号码
     */
    private String invoiceNum;

    /**
     * 红票下载url
     */
    private String invoiceUrl;

    /**
     * 年月
     */
    private String yearMonth;

    /**
     * 税额,单位：分
     */
    private String totalTaxAmount;

    /**
     * 税率,单位：分
     */
    private String taxRate;

    /**
     * 开票时间：yyyy-MM-ddTHH:mm:ss
     */
    private String invoiceMakeTime;

    public String getSellerName() {
        return sellerName;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    public String getSellerTaxpayerCode() {
        return sellerTaxpayerCode;
    }

    public void setSellerTaxpayerCode(String sellerTaxpayerCode) {
        this.sellerTaxpayerCode = sellerTaxpayerCode;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerTaxpayerCode() {
        return buyerTaxpayerCode;
    }

    public void setBuyerTaxpayerCode(String buyerTaxpayerCode) {
        this.buyerTaxpayerCode = buyerTaxpayerCode;
    }

    public long getAmount() {
        return amount;
    }

    public void setAmount(long amount) {
        this.amount = amount;
    }

    public String getRawInvoiceId() {
        return rawInvoiceId;
    }

    public void setRawInvoiceId(String rawInvoiceId) {
        this.rawInvoiceId = rawInvoiceId;
    }

    public String getRawInvoiceCode() {
        return rawInvoiceCode;
    }

    public void setRawInvoiceCode(String rawInvoiceCode) {
        this.rawInvoiceCode = rawInvoiceCode;
    }

    public String getRawInvoiceNum() {
        return rawInvoiceNum;
    }

    public void setRawInvoiceNum(String rawInvoiceNum) {
        this.rawInvoiceNum = rawInvoiceNum;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNum() {
        return invoiceNum;
    }

    public void setInvoiceNum(String invoiceNum) {
        this.invoiceNum = invoiceNum;
    }

    public String getInvoiceUrl() {
        return invoiceUrl;
    }

    public void setInvoiceUrl(String invoiceUrl) {
        this.invoiceUrl = invoiceUrl;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        id = id;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getTotalTaxAmount() {
        return totalTaxAmount;
    }

    public void setTotalTaxAmount(String totalTaxAmount) {
        this.totalTaxAmount = totalTaxAmount;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public String getInvoiceMakeTime() {
        return invoiceMakeTime;
    }

    public void setInvoiceMakeTime(String invoiceMakeTime) {
        this.invoiceMakeTime = invoiceMakeTime;
    }
}
